org.eclipse.cdt.core.model

## Interface IProblemRequestor

    public interface IProblemRequestor

A callback interface for receiving problem as they are discovered IProblemRequestor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `acceptProblem(org.eclipse.cdt.core.parser.IProblem problem)` Notification of a Java problem.
`void` `beginReporting()` Notification sent before starting the problem detection process.
`void` `endReporting()` Notification sent after having completed problem detection process.
`boolean` `isActive()` Predicate allowing the problem requestor to signal whether or not it is currently interested by problem reports.

### Method Detail

#### acceptProblem

    void acceptProblem(org.eclipse.cdt.core.parser.IProblem problem)

Notification of a Java problem.

Parameters:
  `problem` - IProblem - The discovered Java problem.

#### beginReporting

    void beginReporting()

Notification sent before starting the problem detection process. Typically, this would tell a problem collector to clear previously recorded problems.

#### endReporting

    void endReporting()

Notification sent after having completed problem detection process. Typically, this would tell a problem collector that no more problems should be expected in this iteration.

#### isActive

    boolean isActive()

Predicate allowing the problem requestor to signal whether or not it is currently interested by problem reports. When answering `false</false>, problem will not be discovered any more until the next iteration. This predicate will be invoked once prior to each problem detection iteration.`

Returns:
  boolean - indicates whether the requestor is currently interested by problems.